[pacman-dev] [PATCH] makepkg: rework --skip-integ
Allan McRae
allan at archlinux.org
Sun Oct 11 07:59:45 EDT 2009
The current --skip-integ isa bit weird. It does not skip integrity
checks, but instead does them and prints a warning. Change this
behaviour to actually skipping the checks.
Signed-off-by: Allan McRae <allan at archlinux.org>
---
doc/makepkg.8.txt | 3 +--
scripts/makepkg.sh.in | 14 +++++++-------
2 files changed, 8 insertions(+), 9 deletions(-)
diff --git a/doc/makepkg.8.txt b/doc/makepkg.8.txt
index 198aa95..ec02875 100644
--- a/doc/makepkg.8.txt
+++ b/doc/makepkg.8.txt
@@ -87,8 +87,7 @@ Options
PKGBUILD for source validation using "`makepkg -g >> PKGBUILD`".
*--skipinteg*::
- Do not fail when the PKGBUILD does not contain any integrity checks, just
- print a warning instead.
+ Do not perform any integrity checks, just print a warning instead.
*-h, \--help*::
Output syntax and command line options.
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index d85f858..f1788b9 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -615,12 +615,8 @@ check_checksums() {
done
if [ $correlation -eq 0 ]; then
- if [ $SKIPINTEG -eq 1 ]; then
- warning "$(gettext "Integrity checks are missing.")"
- else
- error "$(gettext "Integrity checks are missing.")"
- exit 1 # TODO: error code
- fi
+ error "$(gettext "Integrity checks are missing.")"
+ exit 1 # TODO: error code
fi
}
@@ -1848,7 +1844,11 @@ elif [ "$REPKG" -eq 1 ]; then
fi
else
download_sources
- check_checksums
+ if [ $SKIPINTEG -eq 0 ]; then
+ check_checksums
+ else
+ warning "$(gettext "Skipping integrity checks.")"
+ fi
extract_sources
fi
--
1.6.4.4
More information about the pacman-dev
mailing list